package cn.estsh.i3plus.pojo.model.softswitch;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 2019/10/8 下午1:18
 * @Modify:
 **/
@Data
public class SuitParamModel {

    /* 标签名称 */
    private String tagName;
    /* 标签 id 属性值  */
    private String id;
    /* 标签 name 属性值 */
    private String name;
    /* 标签唯一标识 */
    private String pathKey;
    /* 标签内容 */
    private String value;
    /* 标签类型 Default:PARAM_VALUE_TYPE.STRING */
    private Integer type;  // BlockSoftSwitchEnumUtil.PARAM_VALUE_TYPE

    /* 标签属性 */
    private Map<String,String> attr;
    /* 父节点 */
    private SuitParamModel parent;
    /* 标签子集 */
    private List<SuitParamModel> childList;
}
